/*
 * Copyright (C) 2008 Robert Fitzsimons
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  Look for the COPYING file in the top
 * level directory.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.cyclerecorder.footprintbuilder.editable;

public class PinEditable {
	public boolean isValid() {
		return ((this.getPinDiameter() > 0.0D) || (this.getHoleDiameter() > 0.0D));
	}

	private final EditableDouble pinDiameter = new EditableDouble();
	public double getPinDiameter() {
		return this.pinDiameter.doubleValue();
	}
	public EditableDouble getPinDiameterEditable() {
		return this.pinDiameter;
	}

	private final EditableDouble holeDiameter = new EditableDouble();
	public double getHoleDiameter() {
		return this.holeDiameter.doubleValue();
	}
	public EditableDouble getHoleDiameterEditable() {
		return this.holeDiameter;
	}
}

